﻿<%@ Control Language="VB" AutoEventWireup="false" CodeFile="CALLBACK_Error.ascx.vb"
	Inherits="CALLBACK_Error" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<telerik:RadScriptBlock ID="RadScriptBlock1" runat="server">

	<script type="text/javascript">

		function RowSelected(sender, eventArgs) {
			var orderID = sender.get_masterTableView().get_dataItems()[eventArgs.get_itemIndexHierarchical()].getDataKeyValue("BatchNumber");
			alert(orderID);
			var oXmlPanel = $find("<%= RadXmlHttpPanel1.ClientID %>");
			oXmlPanel.set_value(orderID);
		}
	</script>

</telerik:RadScriptBlock>
<div class="batchesContainer">
	<asp:Label runat="server" ID="batchdetailsTitle" CssClass="detailsTitle">Orders for</asp:Label>
	<div class="pageNav">
		<asp:LinkButton runat="server" ID="prevPage" CssClass="prevPage">Previous</asp:LinkButton>
		<asp:LinkButton runat="server" ID="nextPage" CssClass="nextPage">Next</asp:LinkButton>
	</div>
	<div class="batchDetails">
		<div class="batchdetailsGrid">
			<telerik:RadGrid AllowFilteringByColumn="true" AllowSorting="true" ShowGroupPanel="false"
				Height="300px" BackColor="#393939" ID="rgBatchDetails" runat="server" AllowPaging="true"
				PageSize="10" Width="680px" OnPreRender="rgBatchDetails_PreRender" OnNeedDataSource="rgBatchDetails_NeedDataSource">
				<ClientSettings AllowDragToGroup="true" EnableRowHoverStyle="true">
					<Selecting AllowRowSelect="true" />
					<ClientEvents OnRowSelected="RowSelected" />
				</ClientSettings>
				<MasterTableView AutoGenerateColumns="false" PagerStyle-Mode="NextPrevAndNumeric"
					ClientDataKeyNames="BatchNumber,ImageFile" TableLayout="Fixed">
					<Columns>
						<telerik:GridBoundColumn DataField="BatchNumber" HeaderText="Batch Number" AutoPostBackOnFilter="true"
							ShowFilterIcon="false" HeaderStyle-Width="60px" FilterControlWidth="35px">
						</telerik:GridBoundColumn>
						<telerik:GridNumericColumn DataField="ImageFile" HeaderText="Image File" AutoPostBackOnFilter="true"
							ShowFilterIcon="false" HeaderStyle-Width="60px" FilterControlWidth="35px">
						</telerik:GridNumericColumn>
						<telerik:GridBoundColumn DataField="MICRValue" HeaderText="MICR/OCR" HeaderStyle-Width="300px"
							FilterControlWidth="260px">
						</telerik:GridBoundColumn>
						<telerik:GridBoundColumn DataField="Amount" HeaderText="Amount" FilterControlWidth="70px">
						</telerik:GridBoundColumn>
					</Columns>
				</MasterTableView>
			</telerik:RadGrid>
		</div>
		<div class="batchdetailsImage">
			<telerik:RadXmlHttpPanel ID="RadXmlHttpPanel1" runat="server" OnServiceRequest="RadXmlHttpPanel1_ServiceRequest"
				RenderMode="Block">
				<asp:Image ID="imgDocumentImage" runat="server" Height="300px" Width="500px" />
			</telerik:RadXmlHttpPanel>
		</div>
	</div>
	<telerik:RadAjaxLoadingPanel ID="BatchesLoadingPanel" runat="server">
	</telerik:RadAjaxLoadingPanel>
</div>
